Loading...
Searching...
No Matches
mce::GraphicsContext Class Referenceabstract
Inheritance diagram for mce::GraphicsContext:

## Public Types

enum class | API { OpenGL , Vulkan }

## Public Member Functions

virtual eastl::unique_ptr< Renderer > | createRenderer (sf::Window &window)=0

## Static Public Member Functions

static eastl::unique_ptr< GraphicsContext > | create (API api)

The documentation for this class was generated from the following files:

- Minecraft-Community-Edition/Graphics/GraphicsContext.hpp
- Minecraft-Community-Edition/Graphics/GraphicsContext.cpp